Skip to main content

Delete Comment

warning

Comment management is not available on the Starter plan. Upgrade to Intermediate, Growth or Business plan to access this endpoint.

Overview

The Delete Comment endpoint deletes a comment from a social media platform. It also removes the comment from the local database.

Base URL:

https://feed.oneupapp.io

Endpoint

POST /api/delete-comment

Request Parameters

ParameterRequiredTypeDescription
apiKeyYesstringYour personal API key generated from the API Access page. Passed as a query parameter.
platformYesstringThe social platform name.
post_idYesstringThe post ID.
comment_idYesstringThe comment ID to delete.
social_account_idYesstringThe social account ID.

Supported Platforms

facebook, instagram, tiktok, youtube, linkedin, bluesky, reddit

Sample Request

curl --location --request POST \
"https://feed.oneupapp.io/api/delete-comment?apiKey=YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"platform": "facebook",
"post_id": "104040148726689_946637334956407",
"comment_id": "123",
"social_account_id": "104040148726689"
}'

Sample Response

{
"message": "OK",
"error": false,
"data": {
"comment_id": "123",
"post_id": "456",
"platform": "facebook",
"social_account_id": "789"
}
}

Response Fields

FieldDescription
comment_idThe ID of the deleted comment.
post_idThe post ID the comment was on.
platformThe platform name.
social_account_idThe social account ID.

Error Responses

StatusWhen
403Resource doesn't belong to the authorized user.
500Platform API failure or unexpected error.

Result: You have successfully deleted the comment!